View Issue Details

IDProjectCategoryView StatusLast Update
0000733Apache 2.x Bugpublic2021-07-22 01:25
ReporteremaxAssigned ToSteven Levine 
PrioritynormalSeveritycrashReproducibilityrandom
Status closedResolutionduplicate 
PlatformVM vbox 2 cores 4GBOSAOSOS Version503
Product Version2.4.x 
Target VersionFixed in Version 
Summary0000733: APache 2.4.46 crash on php5.dll quite often
DescriptionHi all,

i've a number of crashes on apache 2.4.26 with php 5.6.40

eQ dump attached, let me know if i miss some debug files

thanks
Steps To Reproduce Process: D:\APACHE\BIN\HTTPD.EXE (04/01/2021 06:36:05 756)
 PID: 1E0 (480)
 TID: 01 (1)
 Priority: 200

 Filename: C:\USR\LIB\PHP5.DLL (12/13/2020 08:15:24 6,804,263)
 Address: 005B:1DBCA95F (0001:0078A95F)
 Cause: Attempted to write to 00000008
           (not a valid address)
TagsNo tags attached.

Relationships

related to 0000731 closedpsmedley PHP 5.x for OS/2 & eComStation PHP 5.6.40 (build php-5.6.40-os2-20201213.zip) crash on PHP5.DLL 

Activities

emax

2021-05-17 17:28

reporter  

01E0_01.TRP (31,093 bytes)
01C9_01.TRP (59,135 bytes)
01C2_01.TRP (31,678 bytes)

Steven Levine

2021-05-18 08:13

manager   ~0003697

The logs are well formed. Good work.

The trap is in _zend_mm_free_int() and appears to be the result of a double free that is not properly ignored.

emax

2021-05-27 18:28

reporter   ~0003700

Hi all,

is there any news about this ticket?

Since apache crashes quite often... :(

thanks

Steven Levine

2021-05-28 04:51

manager   ~0003701

There will be a new php build when it is ready. All the available developers are busy on other projects.

emax

2021-05-31 19:29

reporter   ~0003702

if this can be of any help in case of traps on php5 i also find these lines in apache errors log:

02b972ce 01 ff 0000 Asrt: Assertion Failed!!!
02b972ce 01 ff 0000 Asrt: Function: <NULL>
02b972ce 01 ff 0000 Asrt: File: D:/Users/dmik/rpmbuild/BUILD/libcx-0.6.6/src/shared.c
02b972ce 01 ff 0000 Asrt: Line: 189
02b972ce 01 ff 0000 Asrt: Expr: arc == NO_ERROR
02b972ce 01 ff 0000 Asrt: 105

emax

2021-06-07 21:17

reporter   ~0003716

upgrading libcx0 from version 0.6.6. to 0.7.0 this issue seems to be fixed
please give me some more day to confirm

thanks

Issue History

Date Modified Username Field Change
2021-05-17 17:28 emax New Issue
2021-05-17 17:28 emax File Added: 01E0_01.TRP
2021-05-17 17:28 emax File Added: 01C9_01.TRP
2021-05-17 17:28 emax File Added: 01C2_01.TRP
2021-05-18 05:28 Steven Levine Relationship added related to 0000731
2021-05-18 08:13 Steven Levine Assigned To => Steven Levine
2021-05-18 08:13 Steven Levine Status new => assigned
2021-05-18 08:13 Steven Levine Note Added: 0003697
2021-05-27 18:28 emax Note Added: 0003700
2021-05-28 04:51 Steven Levine Note Added: 0003701
2021-05-31 19:29 emax Note Added: 0003702
2021-06-07 21:17 emax Note Added: 0003716
2021-07-01 15:06 Steven Levine Status assigned => resolved
2021-07-01 15:06 Steven Levine Resolution open => duplicate
2021-07-22 01:25 Steven Levine Status resolved => closed